Revoke an access token | Moov Documentation
Revoke an access token
Revoke an auth token.
Allows clients to notify the authorization server that a previously obtained refresh or access token is no longer needed.
Request Method
POST
/oauth2/revoke
Example Requests
Curl
curl -X POST "https://api.moov.io/oauth2/revoke" \
-H "Authorization: Bearer {token}" \
-H "X-Moov-Version: v2026.07.00" \
-d '{\n "token": "string"\n}'
JavaScript (using Moov SDK)
import { Moov } from "@moovio/sdk";
const moov = new Moov({
security: {
username: "",
password: "",
},
});
async function run() {
const result = await moov.authentication.revokeAccessToken({
token: "<value>",
clientId: "5clTR_MdVrrkgxw2",
clientSecret: "dNC-hg7sVm22jc3g_Eogtyu0_1Mqh_4-",
});
console.log(result);
}
run();
PHP
declare(strict_types=1);
require 'vendor/autoload.php';
use Moov\